It is currently Wed Apr 23, 2014 2:56 am

All times are UTC - 8 hours [ DST ]




Post new topic Reply to topic  [ 39 posts ]  Go to page 1, 2, 3, 4  Next
Author Message
 Post subject: Amahi 6 Beta, for your testing pleasure!
PostPosted: Thu Feb 03, 2011 8:59 pm 
Offline
Administrator
User avatar

Joined: Wed Dec 03, 2008 7:40 am
Posts: 2442
Hello, we have updated the Amahi Fedora 14 repo and we think this is a good beta, getting ready to release!

Grab a Fedora 14 DVD (not the live cd!), and set this url
Code:
http://f14.amahi.org
as a repo and you are all set to kick the tires!

Please report your findings and feedback in this thread.

We will have a bug week starting this Saturday February 5th. Come to the IRC channel or reply here with your favorite bugs and fixes that we just *must fix* in this release :) ... A link to a bug in the bug tracker is required to participate :)

Big ol' warnings: There is no guaranteed upgrade path from this beta to the full release, as we may still do some major changes (improved installer). We have only started certifying apps for Amahi 6, so there are virtually no apps available yet. If you are a contributor, please test your apps, since the app installer changed a bunch and that will need some testing, on top of the usual install loops.

Also in critical need of testing: upgrade paths from
  • an Amahi 5/Fedora 12, plain vanilla to Amahi 6/Fedora 14 and
  • fully updated F12 to Amahi 6/F14
See the upgrade guide.

This is a great opportunity to help with this testing.

A VM setup with snapshotting and some fast internet link could help a lot with this ;-)

_________________
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1


Top
 Profile  
 
 Post subject: Re: Amahi 6 Beta, for your testing pleasure!
PostPosted: Fri Feb 04, 2011 5:31 pm 
Offline

Joined: Fri Feb 04, 2011 5:26 pm
Posts: 3
I tried upgrade the system, and now i get folowing error.
Code:
Ruby on Rails application could not be started
The application has exited during startup (i.e. during the evaluation of config/environment.rb). The error message can be found below. To solve this problem, please follow any instructions in the error message.
Error message:
Missing the Rails 2.3.4 gem. Please `gem install -v=2.3.4 rails`, update your RAILS_GEM_VERSION setting in config/environment.rb for the Rails version you do have installed, or comment out RAILS_GEM_VERSION to use the latest version installed.
Application root:
/var/hda/platform/html
Backtrace:
#   File   Line   Location
0   /var/hda/platform/html/config/boot.rb   66   in `exit'
1   /var/hda/platform/html/config/boot.rb   66   in `load_rails_gem'
2   /var/hda/platform/html/config/boot.rb   54   in `load_initializer'
3   /var/hda/platform/html/config/boot.rb   38   in `run'
4   /var/hda/platform/html/config/boot.rb   11   in `boot!'
5   /var/hda/platform/html/config/boot.rb   110   
6   /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb   31   in `gem_original_require'
7   /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb   31   in `require'
8   /var/hda/platform/html/config/environment.rb   7   
9   /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb   31   in `gem_original_require'
10   /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb   31   in `require'
11   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner.rb   222   in `preload_application'
12   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner.rb   181   in `initialize_server'
13   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/utils.rb   564   in `report_app_init_status'
14   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner.rb   174   in `initialize_server'
15   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb   204   in `start_synchronously'
16   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb   180   in `start'
17   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rails/application_spawner.rb   149   in `start'
18   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb   219   in `spawn_rails_application'
19   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server_collection.rb   132   in `lookup_or_add'
20   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb   214   in `spawn_rails_application'
21   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server_collection.rb   82   in `synchronize'
22   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server_collection.rb   79   in `synchronize'
23   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb   213   in `spawn_rails_application'
24   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb   132   in `spawn_application'
25   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manager.rb   275   in `handle_spawn_application'
26   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb   357   in `__send__'
27   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb   357   in `server_main_loop'
28   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_server.rb   206   in `start_synchronously'
29   /usr/lib/ruby/gems/1.8/gems/passenger-3.0.0/helper-scripts/passenger-spawn-server   99

after i have run follolwing commands as requested i can use amahi webinterface again.
gem install -v=2.3.4 rails


Last edited by ressel on Fri Feb 04, 2011 5:54 pm, edited 1 time in total.

Top
 Profile  
 
 Post subject: Re: Amahi 6 Beta, for your testing pleasure!
PostPosted: Fri Feb 04, 2011 5:35 pm 
Offline

Joined: Sun Nov 28, 2010 8:41 am
Posts: 4
Location: Belarus
Upgraded from fully updated F12 to Amahi 6/F14 using yum without significant issues.
See that upgrade guide: http://fedoraproject.org/wiki/Upgrading_Fedora_using_yum

Needed "gem install -v=2.3.4 rails" to make Amahi webui work.
ressel, try enter "gem install -v=2.3.4 rails" in the command line as a root.

Also got an error from mount_shares_locally script:
bad user name "506"


Last edited by tarl on Sat Feb 05, 2011 2:24 am, edited 3 times in total.

Top
 Profile  
 
 Post subject: Re: Amahi 6 Beta, for your testing pleasure!
PostPosted: Fri Feb 04, 2011 6:01 pm 
Offline

Joined: Fri Feb 04, 2011 5:26 pm
Posts: 3
tarl wrote:
Upgraded using yum without significant issues. Needed "gem install -v=2.3.4 rails" to make Amahi webui work.
ressel, try enter "gem install -v=2.3.4 rails" in command line as a root.

Also got an error from mount_shares_locally script:
bad user name "506"


yes it helped.
System: 2.6.35.10-74.fc14.x86_64 , x86_64
Platform: 5.6.47-1
Kerne: 3.6.16-1

but when i try access app's its empty and it says i got no network connection, but the server is connected to the internet, it can ping google.

AmahItunes will not start!
Starter DAAP-server: /usr/sbin/mt-daapd: error while loading shared libraries: libgdbm.so.2: cannot open shared object file: No such file or directory
[MISLYKKEDES]


mt-daapd is now working.

i did following:
yum install compat-gdbm

and then
nano /etc/mt-daapd.conf

and change path from /mnt/mp3 to /var/hda/files/music
it's not the "normal" config from amahi, but it works :D
normally its named amthitunes when you access it, now the server name is mt-daapd.
But it works.


Top
 Profile  
 
 Post subject: Re: Amahi 6 Beta, for your testing pleasure!
PostPosted: Fri Feb 04, 2011 9:22 pm 
Offline

Joined: Mon Aug 16, 2010 9:32 pm
Posts: 5
All tests performed with the following:
Windows 7 Ult. 64bit Host
VMware 7.1.3 build-324285
New VM using Typical, Default settings. EXCEPT i always choose the "Install OS Later" option instead of EasyInstall

First Test - Clean install of Fedora 14 and Amahi 6

Install went well. Not a hitch that i could see.
Installed Fusion Free and Non Free right away, and the install went MUCH faster than Amahi5/FC12
EDIT: I just realized my network configuration changed. I saw on another thread that virtual box sometimes have issues with this. Wonder if this is the same issue on VMware as well?

Second Test - Clean install of Fedora 12/Amahi 5 - Then upgrade to f14/Amahi 6

First attempt using the F14 DVD failed. After reboot i get "Kernel Panick - Not Syncing: attempted to kill init"
Now trying a direct update to F14 using the guide at http://fedoraproject.org/wiki/Upgrading_Fedora_using_yum
This is not recommended. You should go from 12 to 13 then to 14. But i want to see what happens.
First attempt gave me an error. Did not write it down though :(
Issued the above command to install the rail. FAIL!! I must have missed something.
Using the rpmreaper utility i found that "php_mbstring" and "perl-HTML-Parser" where "missing". Tried to install them and update them. yum said they where either installed or up to date. So i marked em both for deletion with rpmreaper.
Currently yum is updating the system. -EDIT: Yum upgraded me to f13 just fine. I think the "missing" packages may have something to do with that. Decided to go the safe route this time. Will try another "clean f12 to f14" upgrade after this.

Gona have another read over that thread


Last edited by ksjuggalo on Sat Feb 05, 2011 11:01 am, edited 4 times in total.

Top
 Profile  
 
 Post subject: Re: Amahi 6 Beta, for your testing pleasure!
PostPosted: Fri Feb 04, 2011 10:39 pm 
Offline
Administrator
User avatar

Joined: Wed Dec 03, 2008 7:40 am
Posts: 2442
Awesome. Thanks for taking the time to test this. It will be our most frequent question asked and it's time consuming work. Great going!

_________________
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1


Top
 Profile  
 
 Post subject: Re: Amahi 6 Beta, for your testing pleasure!
PostPosted: Sat Feb 05, 2011 10:26 am 
Offline

Joined: Tue Jan 04, 2011 8:59 am
Posts: 6
Ok upgrade from amahi5/f12 to 6/14 (VM in ESXi)
1st. tried preupragde in command line, problem with available space in /boot..., try to symlink a directory from an other partition to virtually add space to /boot (preupgrade was trying to download in /boot/upgrade/) but crash on reboot when selecting Fedora 14 upgrade boot choice ("file not found")
2nd. preupgrade with GUI complains that /boot is on a RAID disk...
3rd. upgrade with F14 DVD > fine

I had to enter "gem install -v=2.3.4 rails" to get Amahi UI working.

I have no access to my previously installed Amahi 12 apps. They don't seem launched.


Top
 Profile  
 
 Post subject: Re: Amahi 6 Beta, for your testing pleasure!
PostPosted: Sat Feb 05, 2011 10:57 am 
Offline

Joined: Tue Jan 04, 2011 8:59 am
Posts: 6
OK, got Sabnzbd working. I had to install Cheetah package for Python

wget http://pypi.python.org/packages/source/ ... 3c37e6ddba
tar xzf Cheetah-2.4.4
python setup.py install

Now working on SqueezeboxServer :P


Top
 Profile  
 
 Post subject: Re: Amahi 6 Beta, for your testing pleasure!
PostPosted: Sat Feb 05, 2011 2:35 pm 
Offline

Joined: Fri Mar 05, 2010 5:48 am
Posts: 6
Installed F14 from a fresh install on an HDA with a single NIC. Turned off DHCP in my router and for the first time ever..........was able to connect to my access point wirelessly or via a wired ethernet card, pick up an IP from the HDA and then surf the net :)

No applications though - rats!

From a Vista box the HDA does not show up under network - which is a tad frustrating.

And managed to get VPN working as well without a single problem. I can access the HDA from any other PC using hda in the address bar of both Chrome and Firefox, just need to get Samba doing it's thing and I would be very happy.

All in all a simple install for me - thanks.

Will obviously redo the install when it is officially released, but at the moment I am delighted to say that this particular configuration is the one I have been after for the last five years with all kinds of setups and never got it working before, there was always some problem with some incompatibility or other but not this time!

Hurrah - well done all.


Top
 Profile  
 
 Post subject: Re: Amahi 6 Beta, for your testing pleasure!
PostPosted: Sat Feb 05, 2011 8:55 pm 
Offline

Joined: Mon Jan 17, 2011 7:15 pm
Posts: 71
I tried installing two ways today - both in VM's both succesful.

1. F12 ExpressCD clean install - then upgrade to F14 using Fedora's yum upgrade guide.
After the upgrade "gem install -v=2.3.4 rails" was required, but that was it. I did purge the yum cache and manually remove the F12 kernel after it was all done to trim the instal down to less than 1.7GB.

2. F14 DVD 64-bit, by the book - As recommended in the F12 install guide I disabled the update repo during install. After installation I ended up with older versions of amahi and greyhole was at 0.7.5. I enabled the updates repo and did a yum upgrade. After that, everything was up to date and looks good.

A request - could you guys post the expected version numbers that we should see for platform and greyhole as updates are made?

_________________
Amahi 6.1 x86_64 ExpressCD - Intel D510MO, 2GB, Promise TX300
1x 500GB 2.5" WD Black (OS and LZ). Pool: 1x 1.5TB Samsung F2, 1x 1.5TB Samsung F3, 1x 2TB Samsung F4EG
Apps: uShare, uTorrent, Amahi Energy Saver


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 39 posts ]  Go to page 1, 2, 3, 4  Next

All times are UTC - 8 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to: